Bug 1024296 - [rpc.mountd] should update the man page descriptions of -n|--no-tcp option
[rpc.mountd] should update the man page descriptions of -n|--no-tcp option
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.5
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
: ManPageChange
Depends On: 1024294
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 07:03 EDT by Yin.JianHong
Modified: 2016-11-18 05:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1024294
Environment:
Last Closed: 2014-06-16 09:58:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-10-29 07:03:48 EDT
+++ This bug was initially created as a clone of Bug #1024294 +++

Description of problem:
should update the man page descriptions of -n|--no-tcp option
follow is -n option's descriptions in man rpc.mountd;
       -n  or  --no-tcp
              Don't advertise TCP for mount.
But if not give -N 4, the rpc.mountd can not turn off the tcp port;
should update descriptions.

Version-Release number of selected component (if applicable):
all version in RHEL5 RHEL6 RHEL7

How reproducible:
100%

Steps to Reproduce:
1. man rpc.mountd
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2013-11-01 08:25:40 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Yin.JianHong 2016-11-18 05:42:02 EST
Additional info:

Now the problem of --no-tcp has been fixed on Upstream and RHEL-7.1 or later

fixed in upstream:
commit a80482157632584ee03df58ed1eef3cefd95bbcb
Author: Steve Dickson <steved@redhat.com>
Date:   Tue Nov 5 14:10:05 2013 -0500

    mountd: Use protocol bit fields to turn protocols off.
    
    Convert the current code to used the NFSCTL_XXX macros
    to turn off the TCP listener.
    
    Signed-off-by: Steve Dickson <steved@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.